## com.sun.jersey.core.spi.scanning.uri
Class VfsSchemeScanner

    java.lang.Object
      com.sun.jersey.core.spi.scanning.uri.VfsSchemeScanner

All Implemented Interfaces:
  UriSchemeScanner

    public class VfsSchemeScanner

extends java.lang.Object
implements UriSchemeScanner

A JBoss-based "vfsfile", "vfs" and "vfszip" scheme URI scanner.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`VfsSchemeScanner()`

Method Summary
`java.util.Set<java.lang.String>` `getSchemes()` Get the set of supported URI schemes.
`void` `scan(java.net.URI u, ScannerListener sl)` Perform a scan and report resources to a scanning listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VfsSchemeScanner

    public VfsSchemeScanner()

Method Detail

### getSchemes

    public java.util.Set<java.lang.String> getSchemes()

  Description copied from interface: `UriSchemeScanner`
  Get the set of supported URI schemes.

  Specified by:
    `getSchemes` in interface `UriSchemeScanner`
  Returns:
    the supported URI schemes.

### scan

    public void scan(java.net.URI u,
                     ScannerListener sl)

  Description copied from interface: `UriSchemeScanner`
  Perform a scan and report resources to a scanning listener.

  Specified by:
    `scan` in interface `UriSchemeScanner`
  Parameters:
    `u` - the URI to scan for resources.
    `sl` - the scanning listener to report entries.

Copyright © 2017 Oracle Corporation. All Rights Reserved.